librevenge::RVNGTextSpreadsheetGeneratorImpl Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGTextSpreadsheetGeneratorImpl Struct Reference

## Public Member Functions
| RVNGTextSpreadsheetGeneratorImpl (RVNGStringVector &sheets, bool isInfo)

## Public Attributes
RVNGStringVector & | m_sheets
std::ostringstream | m_stream
bool | m_isInfo
bool | m_isFirstCell
int | m_sheetLevel

## Constructor & Destructor Documentation

librevenge::RVNGTextSpreadsheetGeneratorImpl::RVNGTextSpreadsheetGeneratorImpl | ( | RVNGStringVector & | sheets,
|  | bool | isInfo
| ) |  |
| explicit

## Member Data Documentation

bool librevenge::RVNGTextSpreadsheetGeneratorImpl::m_isFirstCell

Referenced by librevenge::RVNGTextSpreadsheetGenerator::openSheetCell(), librevenge::RVNGTextSpreadsheetGenerator::openSheetRow(), librevenge::RVNGTextSpreadsheetGenerator::openTableCell(), and librevenge::RVNGTextSpreadsheetGenerator::openTableRow().

bool librevenge::RVNGTextSpreadsheetGeneratorImpl::m_isInfo

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeParagraph(), librevenge::RVNGTextSpreadsheetGenerator::insertLineBreak(), librevenge::RVNGTextSpreadsheetGenerator::insertSpace(), librevenge::RVNGTextSpreadsheetGenerator::insertTab(), librevenge::RVNGTextSpreadsheetGenerator::insertText(), and librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData().

int librevenge::RVNGTextSpreadsheetGeneratorImpl::m_sheetLevel

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeParagraph(), librevenge::RVNGTextSpreadsheetGenerator::closeSheet(), librevenge::RVNGTextSpreadsheetGenerator::closeTable(), librevenge::RVNGTextSpreadsheetGenerator::closeTableCell(), librevenge::RVNGTextSpreadsheetGenerator::openSheet(), and librevenge::RVNGTextSpreadsheetGenerator::openTable().

RVNGStringVector& librevenge::RVNGTextSpreadsheetGeneratorImpl::m_sheets

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeSheet().

std::ostringstream librevenge::RVNGTextSpreadsheetGeneratorImpl::m_stream

Referenced by librevenge::RVNGTextSpreadsheetGenerator::closeParagraph(), librevenge::RVNGTextSpreadsheetGenerator::closeSheet(), librevenge::RVNGTextSpreadsheetGenerator::insertLineBreak(), librevenge::RVNGTextSpreadsheetGenerator::insertSpace(), librevenge::RVNGTextSpreadsheetGenerator::insertTab(), librevenge::RVNGTextSpreadsheetGenerator::insertText(), librevenge::RVNGTextSpreadsheetGenerator::openSheetCell(), and librevenge::RVNGTextSpreadsheetGenerator::setDocumentMetaData().

The documentation for this struct was generated from the following file:

- RVNGTextSpreadsheetGenerator.cpp